Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/43238/?format=api
{ "ob_id": 43238, "uuid": "f45a1a95ddcc480784640da6f3001904", "title": "Flight matched contrails in ground based camera imagery over London between November 2021 and April 2022", "abstract": "This dataset provides aircraft flight path information and ground-based camera imagery to support the evaluation of models of contrail formation and persistence. \r\n\r\nCamera imagery and corresponding flight path information were collected for 5 separate days where contrail formation was identified over London between November 2021 and April 2022, leading to 16 hours of observation. The camera observations were made every 5 seconds, looking to the East of Imperial College London (where the camera was based).\r\n\r\nThis dataset contains flight path telemetry data used to derive aircraft trajectories intersecting the camera's field of view.", "keywords": "cloud,contrail,camera,aircraft", "publicationState": "citable", "dataPublishedTime": "2024-12-18T15:41:04", "doiPublishedTime": "2024-12-18T16:30:35.358928", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/43352/?format=api", "dataPath": "/badc/deposited2024/Flight-Matched-Contrails", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 40082084, "numberOfFiles": 21, "fileFormat": ".csv" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11923/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/4610/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "The camera data was collected as jpeg files, compressed to video on the device. Only days where contrails are observed are included in this dataset.\r\n\r\nThe aircraft position data was collected by Spire Aviation as Automatic Dependent Surveillance–Broadcast (ADS-B) transponder data. It was filtered to within ± 0.5° of all the contrails observed by the ground-based camera, above 10,000 feet, and cover the time periods where contrail observations are available.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/13216/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/43239/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/206345/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205667/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205668/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205669/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205670/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205671/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205672/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205673/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205674/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205675/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205676/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205677/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205678/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205679/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/205680/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/43240/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }